petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFPTrapPush

push a floating point trapping mode, to be restored using PetscFPTrapPop()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFPTrapPush(PetscFPTrap trap)

Not Collective

### Input Arguments

trap -PETSC_FP_TRAP_ON or PETSC_FP_TRAP_OFF

### See Also

PetscFPTrapPop(), PetscSetFPTrap()

### Level

advanced

### Location

src/sys/error/fp.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages